<!-- <div class="login">
  <div class="col-md-6">
    <div class="box box-info">
      <div class="box-header with-border">
        <h3 class="box-title">Login</h3>
      </div>     
      <form class="form-horizontal" [formGroup]='rForm' (ngSubmit)='signIn(rForm.value)'>
        <div class="box-body">
          <div class="form-group">
            <label for="inputEmail3" class="col-sm-2 control-label">Email</label>

            <div class="col-sm-10">
              <input type="email" class="form-control" id="inputEmail3" placeholder="Email" formControlName='email'>
            </div>
          </div>
          <div class="form-group">
            <label for="inputPassword3" class="col-sm-2 control-label">Password</label>

            <div class="col-sm-10">
              <input type="password" class="form-control" id="inputPassword3" placeholder="Password" formControlName='password'>
            </div>
          </div>
        </div>        
        <div class="box-footer">
          <a href="">forgot password</a>
          <a class="btn btn-default pull-right" data-toggle="modal" data-target="#exampleModal">Register</a>
          <button type="submit" class="btn btn-info pull-right" [disabled]='!rForm.valid'>Sign in</button>
        </div>        
      </form>
    </div>
  </div>
</div> -->

<div class="login-box">
  <div class="login-logo">
    <a>
      <b>Login</b>
    </a>
  </div>
  <!-- /.login-logo -->
  <div class="login-box-body">
    <p class="login-box-msg">Sign in to start your session</p>

    <form class="form-horizontal" [formGroup]='rForm' (ngSubmit)='signIn(rForm.value)'>
      <div class="form-group has-feedback">
        <input type="email" class="form-control" formControlName='mobilenum' placeholder="MobileNumber">
        <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
      </div>
      <div class="form-group has-feedback">
        <input type="password" class="form-control" formControlName='password' placeholder="Password">
        <span class="glyphicon glyphicon-lock form-control-feedback"></span>
      </div>
      <div class="row">
        <div class="col-xs-8">
        </div>
        <!-- /.col -->
        <div class="col-xs-4">
          <button type="submit" class="btn btn-primary btn-block btn-flat" [disabled]='!rForm.valid'>Sign In</button>
        </div>
        <!-- /.col -->
      </div>
    </form>

    <a href="javascript:;" data-toggle="modal" data-target="#forgotpassword">I forgot my password</a>
    <br>
    <a class="text-center" data-toggle="modal" data-target="#exampleModal">Register a new membership</a>

  </div>
  <!-- /.login-box-body -->
</div>
<!-- /.login-box -->



<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <!-- should keep in popup -->
      <h4 [hidden]="isSuccess">User is Registered Successfully..</h4>
      <div id="otp" class="register-box-body">
          <div id="successdiv" class="alert alert-success" style="text-align:center; font-size:'2';display:none">User has been registered successfully.</div>
        <div id="registartiondiv">
          <p class="login-box-msg">Register a new membership</p>
          <form [formGroup]="registrationForm">
            <div class="form-group has-feedback">
              <label>Firstname
                <span style="color:red">*</span>
              </label>
              <input type="text" formControlName="firstname" class="form-control">
              <span class="glyphicon glyphicon-user form-control-feedback"></span>
            </div>
            <div class="form-group has-feedback">
              <label>Lastname
                <span style="color:red">*</span>
              </label>
              <input type="text" formControlName="lastname" class="form-control">
              <span class="glyphicon glyphicon-user form-control-feedback"></span>
            </div>
            <div class="form-group has-feedback">
              <label>Email</label>
              <input type="email" formControlName="email" class="form-control" (blur)="validUniqueEmail(registrationForm.value)">
              <span class="help-block" style="color:red" *ngIf="registrationForm.get('email').touched && registrationForm.get('email').hasError('required')">Required Field</span>
              <span class="help-block" style="color:red" *ngIf="registrationForm.get('email').dirty && registrationForm.get('email').invalid">please enter valid Email</span>

              <div [hidden]="isEmailHide">
                <h6 style="color:red">Email is already exists..!</h6>
              </div>
              <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
            </div>
            <div class="form-group has-feedback">
              <label>Mobile
                <span style="color:red">*</span>
              </label>
              <input type="text" formControlName="mobilenum" class="form-control" (blur)="validMobileNumber(registrationForm.value)">
              <span class="help-block" style="color:red" *ngIf="registrationForm.get('mobilenum').touched && registrationForm.get('mobilenum').hasError('required')">Required Field</span>
              <span class="help-block" style="color:red" *ngIf="registrationForm.get('mobilenum').dirty && registrationForm.get('mobilenum').invalid">please enter valid Number</span>
              <!-- <span class="help-block" style="color:red" *ngIf="registrationForm.controls['mobilenum'].hasError('maxlength')">can't exceed 10 numbers</span>
              <span class="help-block" style="color:red" *ngIf="registrationForm.controls['mobilenum'].hasError('minlength')">please enter 10 numbers</span> -->

              <div [hidden]="isMobileHide">
                <h6 style="color:red">Mobile Number already exists..!</h6>
              </div>
              <span class="glyphicon glyphicon-lock form-control-feedback"></span>
            </div>
            <!-- <div class="form-group has-feedback">
            <select class="form-control" formControlName="gender">
              <option *ngFor="let gender of gen" [value]="gender.id">
                {{gender.gender}}
              </option>
            </select>
          </div> -->
            <div class="row">
              <!-- /.col -->
              <div class="col-xs-4">
                <input type="submit" class="btn btn-primary btn-block btn-flat" value="Register" (click)="sendOtp(registrationForm.value)"
                  [disabled]="!registrationForm.valid" />
              </div>
              <!-- /.col -->
            </div>
          </form>
          <a data-dismiss="modal" class="text-center">I already have a membership</a>
        </div>
        <div id="otpdiv" style="display:none">

          <b class="registerText">Enter One Time Password </b>
          <br>
          <div class="form-group has-feedback">
            <p>One Time Password (OTP) has been sent your ******{{mobNumber}},
              <br> Please enter the same here to continue the registration.</p>
            <input type="text" name="verifyOTP" [(ngModel)]="verifyotp" class="form-control" placeholder="Enter your OTP" required>

            <span *ngIf="verifyOtpno" style="color:red"> Invalid Otp </span>

          </div>
          <div class="row">
            <div class="col-xs-4">
              <input type="submit" class="btn btn-primary btn-block btn-flat" value="verify" (click)="registerData()" />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- /* ForgotPassword Modal */ -->


<div class="modal fade" id="forgotpassword" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <!-- should keep in popup -->
      <!-- <h4 [hidden]="isSuccess">Password updated successfully</h4> -->
      <div id="otp" class="register-box-body">
        <div id="updatesuccessdiv" class="alert alert-success" style="text-align:center; font-size:'2';display:none">Password updated successfully</div>
        <div id="forgotdiv">
          <p class="login-box-msg">Forgot Password</p>
            <div class="form-group has-feedback">
              <label>Mobile Number
                <span style="color:red">*</span>
              </label>
              <input type="number" name="mobilenumber" [(ngModel)]="mobilenumber" class="form-control" placeholder="Enter your Mobile Number" (blur)="checkmobilenum(mobilenumber)" required>
             
                <span *ngIf="isMobile" style="color:red">Invalid mobilenumber</span>
              
              <span class="glyphicon glyphicon-lock form-control-feedback"></span>
            </div>
            <div class="row">
              <div class="col-xs-4">
                <input type="submit"  class="btn btn-primary btn-block btn-flat" value="Send" [disabled]="isMobile==false" (click)="resetPassword()"
                />
              </div>
            </div>
        <!-- //  <a data-dismiss="modal" class="text-center">I already have a membership</a> -->
        </div>
        <div id="forgotpdiv" style="display:none">

          <b class="registerText">Enter One Time Password </b>
          <br>
          <div class="form-group has-feedback">
            <p>One Time Password (OTP) has been sent your ******{{moblNumber}},
              <br> Please enter the same here to continue the registration.</p>
            <input type="text" name="verify" [(ngModel)]="verify" class="form-control" placeholder="Enter your OTP" required>

            <span *ngIf="verifyOtpno" style="color:red"> Invalid Otp </span>

          </div>
          <div class="row">
            <div class="col-xs-4">
              <input type="submit" class="btn btn-primary btn-block btn-flat" value="verify" (click)="verifyOtpforPassword()" />
            </div>
          </div>
        </div>

        <div id="updatediv" style="display:none">
          <p class="login-box-msg">Update Password</p>
            <div class="form-group has-feedback">
              <label>New Password
                <span style="color:red">*</span>
              </label>
              <input type="password" name="newpassword" [(ngModel)]="newpassword" class="form-control"   required>
              <span class="glyphicon glyphicon-lock form-control-feedback"></span>
            </div>
            <div class="form-group has-feedback">
              <label>Confirm Password
                <span style="color:red">*</span>
              </label>
              <input type="password" name="confirmpassword" [(ngModel)]="confirmpassword" class="form-control" required>
                <span *ngIf="passwordmatch" style="color:red">password's didn't match</span>
            
              <span class="glyphicon glyphicon-lock form-control-feedback"></span>
            </div>
            <div class="row">
              <div class="col-xs-4">
                <input type="submit" class="btn btn-primary btn-block btn-flat" value="Send" (click)="updatePassword()"
                />
              </div>
            </div>
        <!-- //  <a data-dismiss="modal" class="text-center">I already have a membership</a> -->
        </div>
      </div>
    </div>
  </div>
</div>




